Bug 91908 - [ipfilter] loading ipl.ko to the kernel compiled with options (IPFILTER) causes a problem
Summary: [ipfilter] loading ipl.ko to the kernel compiled with options (IPFILTER) caus...
Status: Closed Unable to Reproduce
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: Unspecified
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-01-17 15:00 UTC by Gleb Paharenko
Modified: 2020-10-28 19:06 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gleb Paharenko 2006-01-17 15:00:15 UTC
I have a kernel compiled with options IPFILTER, ipnat works ok, but when I
have ipl_load="YES" in loader.conf or manually load ipl.ko ipnat doesn't work.

How-To-Repeat: Compile the kernel with option IPFILTER, kldload ipl.ko, run ipnat with -l
option and you'll see
/dev/ipnat: open: No such file or directory

Copyright (c) 1992-2005 The FreeBSD Project.
Copyright (c) 1979, 1980, 1983, 1986, 1988, 1989, 1991, 1992, 1993, 1994
        The Regents of the University of California. All rights reserved.
FreeBSD 5.4-RELEASE-p9 #0: Mon Jan 16 09:54:16 EET 2006
    root@kikwidze_gw.matrix.kiev.ua:/usr/obj/usr/src/sys/GLEB2
module_register: module pci/rl already exists!
Module pci/rl failed to register: 17
module_register: module cardbus/rl already exists!
Module cardbus/rl failed to register: 17
module_register: module rl/miibus already exists!
Module rl/miibus failed to register: 17
Timecounter "i8254" frequency 1193182 Hz quality 0
CPU: Intel Pentium III (801.82-MHz 686-class CPU)
  Origin = "GenuineIntel"  Id = 0x683  Stepping = 3
  Features=0x383f9ff<FPU,VME,DE,PSE,TSC,MSR,PAE,MCE,CX8,SEP,MTRR,PGE,MCA,CMOV,PA
T,PSE36,MMX,FXSR,SSE>
real memory  = 268369920 (255 MB)
avail memory = 252956672 (241 MB)
npx0: <math processor> on motherboard
npx0: INT 16 interface
acpi0: <SOYO AWRDACPI> on motherboard
acpi0: Power Button (fixed)
Timecounter "ACPI-safe" frequency 3579545 Hz quality 1000
acpi_timer0: <24-bit timer at 3.579545MHz> port 0x4008-0x400b on acpi0
cpu0: <ACPI CPU (3 Cx states)> on acpi0
acpi_throttle0: <ACPI CPU Throttling> on cpu0
acpi_button0: <Power Button> on acpi0
pcib0: <ACPI Host-PCI bridge> port 0x5000-0x500f,0x4000-0x4041,0xcf8-0xcff on ac
pi0
pci0: <ACPI PCI bus> on pcib0
agp0: <Intel 82443BX (440 BX) host to PCI bridge> mem 0xd8000000-0xdbffffff at d
evice 0.0 on pci0
pcib1: <PCI-PCI bridge> at device 1.0 on pci0
pci1: <PCI bus> on pcib1
pci1: <display, VGA> at device 0.0 (no driver attached)
isab0: <PCI-ISA bridge> at device 7.0 on pci0
isa0: <ISA bus> on isab0
atapci0: <Intel PIIX4 UDMA33 controller> port 0xf000-0xf00f,0x376,0x170-0x177,0x
3f6,0x1f0-0x1f7 at device 7.1 on pci0
ata0: channel #0 on atapci0
ata1: channel #1 on atapci0
uhci0: <Intel 82371AB/EB (PIIX4) USB controller> port 0xd000-0xd01f at device 7.
2 on pci0
usb0: <Intel 82371AB/EB (PIIX4) USB controller> on uhci0
usb0: USB revision 1.0
uhub0: Intel UHCI root hub, class 9/0, rev 1.00/1.00, addr 1
uhub0: 2 ports with 2 removable, self powered
pci0: <bridge> at device 7.3 (no driver attached)
atapci1: <HighPoint HPT370 UDMA100 controller> port 0xe400-0xe4ff,0xe000-0xe003,
0xdc00-0xdc07,0xd800-0xd803,0xd400-0xd407 irq 5 at device 14.0 on pci0
ata2: channel #0 on atapci1
ata3: channel #1 on atapci1
rl0: <RealTek 8139 10/100BaseTX> port 0xe800-0xe8ff mem 0xdf000000-0xdf0000ff ir
q 5 at device 16.0 on pci0
miibus0: <MII bus> on rl0
rlphy0: <RealTek internal media interface> on miibus0
rlphy0:  10baseT, 10baseT-FDX, 100baseTX, 100baseTX-FDX, auto
rl0: Ethernet address: 00:e0:7d:cf:8b:7e
rl1: <RealTek 8139 10/100BaseTX> port 0xec00-0xecff mem 0xdf001000-0xdf0010ff ir
q 10 at device 17.0 on pci0
miibus1: <MII bus> on rl1
rlphy1: <RealTek internal media interface> on miibus1
rlphy1:  10baseT, 10baseT-FDX, 100baseTX, 100baseTX-FDX, auto
rl1: Ethernet address: 00:e0:7d:a8:6c:67
acpi_tz0: <Thermal Zone> on acpi0
fdc0: <floppy drive controller> port 0x3f7,0x3f2-0x3f5 irq 6 drq 2 on acpi0
sio0: <16550A-compatible COM port> port 0x3f8-0x3ff irq 4 flags 0x10 on acpi0
sio0: type 16550A
sio1: <16550A-compatible COM port> port 0x2f8-0x2ff irq 3 on acpi0

sio1: type 16550A
ppc0: <Standard parallel printer port> port 0x378-0x37f irq 7 on acpi0
ppc0: Generic chipset (NIBBLE-only) in COMPATIBLE mode
ppbus0: <Parallel port bus> on ppc0
plip0: <PLIP network interface> on ppbus0
lpt0: <Printer> on ppbus0
lpt0: Interrupt-driven port
ppi0: <Parallel I/O> on ppbus0
pmtimer0 on isa0
atkbdc0: <Keyboard controller (i8042)> at port 0x64,0x60 on isa0
atkbd0: <AT Keyboard> irq 1 on atkbdc0
kbd0 at atkbd0
sc0: <System console> at flags 0x100 on isa0
sc0: VGA <16 virtual consoles, flags=0x300>
vga0: <Generic ISA VGA> at port 0x3c0-0x3df iomem 0xa0000-0xbffff on isa0
Timecounter "TSC" frequency 801821951 Hz quality 800
Timecounters tick every 10.000 msec
IP Filter: v3.4.35 initialized.  Default = pass all, Logging = enabled
ipfw2 initialized, divert disabled, rule-based forwarding disabled, default to a
ccept, logging disabled
ad0: 38166MB <WDC WD400JB-00FMA0/13.03G13> [77545/16/63] at ata0-master UDMA33
Mounting root from ufs:/dev/ad0s1a
Comment 1 Gleb Smirnoff freebsd_committer 2006-01-18 15:44:13 UTC
Responsible Changed
From-To: freebsd-bugs->darrenr

Assign to ipf/ipnat maintainer.
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2013-07-03 01:50:32 UTC
State Changed
From-To: open->open

commit bit has been taken in for safekeeping. 


Comment 3 Mark Linimon freebsd_committer freebsd_triage 2013-07-03 01:50:32 UTC
Responsible Changed
From-To: darrenr->freebsd-net
Comment 4 Cy Schubert freebsd_committer 2013-07-03 05:12:56 UTC
Responsible Changed
From-To: freebsd-net->cy

Mine.
Comment 5 Eitan Adler freebsd_committer freebsd_triage 2017-12-31 08:01:26 UTC
For bugs matching the following criteria:

Status: In Progress Changed: (is less than) 2014-06-01

Reset to default assignee and clear in-progress tags.

Mail being skipped
Comment 6 Cy Schubert freebsd_committer 2020-10-28 19:06:34 UTC
Not a problem in ipfilter 5.1.2.